package com.prolog.eis.dao.out;

import com.prolog.eis.dto.outbound.ContainerTaskDismantleDto;
import com.prolog.eis.dto.page.AllotmentOrderDto;
import com.prolog.eis.model.container.ContainerTask;
import com.prolog.eis.model.out.ContainerTaskDismantle;
import com.prolog.framework.dao.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author zmr
 * @description: 出库任务拆零详情表-数据处理类
 * @date 2023-09-11 16:33
 */
@Repository
public interface ContainerTaskDismantleMapper extends BaseMapper<ContainerTaskDismantle>{

    List<ContainerTask> findDismantlePickingList(@Param("containerNo") String containerNo);

    ContainerTask findDismantlePickingDetail(@Param("containerSubNo")String containerSubNo);

    List<ContainerTask> dismantleFullList(@Param("containerNo") String containerNo);

    List<ContainerTask> dismantleFullDetail(@Param("containerNo")String containerNo);

    List<AllotmentOrderDto> findAllotmentOrder(@Param("itemId") String itemId);

    AllotmentOrderDto findAllotmentOrderDetail(@Param("itemId") String itemId,@Param("outboundDetailId") Integer outboundDetailId );

    List<ContainerTaskDismantleDto> findContainerTaskList(@Param("warehouseArea") String warehouseArea);

    List<ContainerTaskDismantle> findDismantleContainerTask(@Param("containerSubNo") String containerSubNo);
}